## org.hibernate.loader.custom
Class CollectionFetchReturn

    java.lang.Object
      org.hibernate.loader.custom.NonScalarReturn
          org.hibernate.loader.custom.FetchReturn
              org.hibernate.loader.custom.CollectionFetchReturn

All Implemented Interfaces:
  Return

    public class CollectionFetchReturn

extends FetchReturn

Spefically a fetch return that refers to a collection association.

Author:
  Steve Ebersole

Constructor Summary
`CollectionFetchReturn(String alias, NonScalarReturn owner, String ownerProperty, CollectionAliases collectionAliases, EntityAliases elementEntityAliases, LockMode lockMode)`

Method Summary
`CollectionAliases` `getCollectionAliases()`
`EntityAliases` `getElementEntityAliases()`

Methods inherited from class org.hibernate.loader.custom.FetchReturn
`getOwner, getOwnerProperty`

Methods inherited from class org.hibernate.loader.custom.NonScalarReturn
`getAlias, getLockMode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CollectionFetchReturn

    public CollectionFetchReturn(String alias,
                                 NonScalarReturn owner,
                                 String ownerProperty,
                                 CollectionAliases collectionAliases,
                                 EntityAliases elementEntityAliases,
                                 LockMode lockMode)

Method Detail

### getCollectionAliases

    public CollectionAliases getCollectionAliases()

### getElementEntityAliases

    public EntityAliases getElementEntityAliases()

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.